# $Revision: 1.24 $, $Date: 2009/03/28 22:53:38 $
%define		mod_name	fcgid
%define 	apxs		/usr/sbin/apxs
Summary:	A binary compatibility alternative to Apache module mod_fastcgi
Summary(pl.UTF-8):	Binarnie kompatybilna alternatywa dla modułu Apache'a mod_fastcgi
Name:		apache-mod_%{mod_name}
Version:	2.2
Release:	2
License:	GPL v2
Group:		Networking/Daemons/HTTP
Source0:	http://dl.sourceforge.net/mod-fcgid/mod_%{mod_name}.%{version}.tar.gz
# Source0-md5:	ce7d7b16e69643dbd549d43d85025983
Source1:	%{name}.conf
URL:		http://fastcgi.coremail.cn/
BuildRequires:	%{apxs}
BuildRequires:	apache-devel >= 2.0.52-2
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	apache(modules-api) = %apache_modules_api
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define		_sysconfdir	%(%{apxs} -q SYSCONFDIR 2>/dev/null)

%description
A binary compatibility alternative to Apache module mod_fastcgi.
mod_fcgid has a new process management strategy, which concentrates on
reducing the number of fastcgi server, and kick out the corrupt
fastcgi server as soon as possible.

%description -l pl.UTF-8
Binarnie kompatybilna alternatywa dla modułu Apache'a mod_fastcgi.
mod_fcgid to nowa strategia zarządzania procesami, koncentrująca się
na redukcji liczby serwerów fastcgi i usuwaniu uszkodzonych serwerów
fastcgi najszybciej jak to możliwe.

%prep
%setup -q -n mod_%{mod_name}.%{version}

%build
%{__make} \
	top_dir=%{_pkglibdir} \
	APXS=%{apxs} \
	INCLUDES="-I%(%{apxs} -q INCLUDEDIR)"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_pkglibdir},%{_sysconfdir}/conf.d}

install .libs/mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/70_mod_%{mod_name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%service -q httpd restart

%postun
if [ "$1" = "0" ]; then
	%service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%doc AUTHOR ChangeLog
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/*_mod_%{mod_name}.conf
%attr(755,root,root) %{_pkglibdir}/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: apache-mod_fcgid.spec,v $
Revision 1.24  2009/03/28 22:53:38  areq
- install conf in /etc/httpd/conf.d/
- rel 2

Revision 1.23  2009/02/07 20:04:45  dzeus
- up to 2.2, removed outdated patches

Revision 1.22  2008/10/25 15:50:01  blues
- HTTP group

Revision 1.21  2007/12/09 10:42:23  glen
- apache-apxs -> %{apxs} in BR

Revision 1.20  2007-06-07 10:52:48  shadzik
- BR s@%{apxs}@apache-apxs@g

Revision 1.19  2007/02/12 21:23:47  glen
- tabs in preamble

Revision 1.18  2007/02/12 00:48:37  baggins
- converted to UTF-8

Revision 1.17  2006/04/14 17:07:56  glen
- restart apache in %postun rather in %preun as the config file, loading module
  is still there and module will be loaded after package is uninstalled, which
  later causes missing configuration file errors.

Revision 1.16  2006/01/30 17:39:10  glen
- use %service

Revision 1.15  2005/12/26 19:38:25  glen
- unified

Revision 1.14  2005/12/22 00:22:28  glen
- fix build for apache 2.2

Revision 1.13  2005/12/21 23:39:06  glen
- rebuild with new apache
- fix %post script
- rel 2

Revision 1.12  2004/11/16 21:58:22  qboosh
- with patch it needs apr1-based apache

Revision 1.11  2004/11/10 23:44:55  aredridel
- up to 1.03
- patched to work with modern apr

Revision 1.10  2004/11/04 20:22:40  paladine
- spaces->tabs

Revision 1.9  2004/10/29 09:01:59  paladine
- "HTTP" unification

Revision 1.8  2004/10/10 12:05:10  havner
- rel up for rebuild with new apache/apr

Revision 1.7  2004/09/25 09:02:26  radek
- cp SOURCES/{70_,apache-}mod_fcgid.conf,v

Revision 1.6  2004/09/21 13:49:04  radek
- version 1.01, License: GPL v2

Revision 1.5  2004/09/20 10:34:05  radek
- version 1.00, unifications
- dropped apache1 bcond (-> apache1-*.spec is the right way)
- NOTE: doesn't build; this version uses apr's private headers;
        conference with author in progress

Revision 1.4  2004/06/26 23:19:15  aredridel
- up to 0.74
- fixes padding nul bug.

Revision 1.3  2004/05/27 17:16:56  aredridel
- change config file

Revision 1.2  2004/05/23 15:10:10  qboosh
- pl

Revision 1.1  2004/05/23 14:34:34  arekm
- initial pld release
